ForwardRequest (Java Platform SE 8 )
Keywords: org.omg.PortableInterceptor.ForwardRequest class
Date: 2017-07-29

org.omg.PortableInterceptor

## Class ForwardRequest

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.PortableInterceptor.ForwardRequest

- All Implemented Interfaces:
    Serializable, IDLEntity

      public final class ForwardRequest
      extends UserException

  org/omg/PortableInterceptor/ForwardRequest.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/java8-openjdk/src/jdk8u-jdk8u144-b01/corba/src/share/classes/org/omg/PortableInterceptor/Interceptors.idl Friday, July 28, 2017 11:09:08 PM UTC

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Object` | `forward` The new object to forward the request to.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForwardRequest()`
    `ForwardRequest(Object _forward)`
    `ForwardRequest(String $reason, Object _forward)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### forward

          public Object forward

      The new object to forward the request to.

  - ### Constructor Detail

    - #### ForwardRequest

          public ForwardRequest()

    - #### ForwardRequest

          public ForwardRequest(Object _forward)

    - #### ForwardRequest

          public ForwardRequest(String $reason,
                                Object _forward)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.